package net.vtstar.zhongtong.avi.demo.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.user.mybatis.domain.CommonField;
import net.vtstar.user.search.Search;

import javax.persistence.Column;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@ApiModel(value = "测试用类")
@Data
@Search(code = "DEMO")
@Table(name = "demo")
public class Demo {

    @Column(name = "id")
    private Long id;

    @ApiModelProperty(notes = "名字")
    @Column(name = "name")
    @NotNull(message = "name is null")
    @Search
    private String name;
}
